Name: cockpit-files
Version: 12.18.g67a9299
Release: 1.20241202095618308588.pr851.18.g67a9299%{?dist}
Summary: A filesystem browser for Cockpit
License: LGPL-2.1-or-later

Source0: cockpit-files-12.18.g67a9299.tar.xz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs
BuildRequires: make
%if 0%{?suse_version}
# Suse's package has a different name
BuildRequires:  appstream-glib
%else
BuildRequires:  libappstream-glib
%endif
BuildRequires: gettext

Requires: cockpit-bridge >= 318

Provides: bundled(npm(@patternfly/patternfly)) = 5.4.2
Provides: bundled(npm(@patternfly/react-core)) = 5.4.10
Provides: bundled(npm(@patternfly/react-icons)) = 5.4.2
Provides: bundled(npm(@patternfly/react-styles)) = 5.4.1
Provides: bundled(npm(@patternfly/react-table)) = 5.4.11
Provides: bundled(npm(@patternfly/react-tokens)) = 5.4.1
Provides: bundled(npm(attr-accept)) = 2.2.5
Provides: bundled(npm(dequal)) = 2.0.3
Provides: bundled(npm(file-selector)) = 2.1.2
Provides: bundled(npm(focus-trap)) = 7.6.2
Provides: bundled(npm(js-tokens)) = 4.0.0
Provides: bundled(npm(lodash)) = 4.17.21
Provides: bundled(npm(loose-envify)) = 1.4.0
Provides: bundled(npm(object-assign)) = 4.1.1
Provides: bundled(npm(prop-types)) = 15.8.1
Provides: bundled(npm(react-dom)) = 18.3.1
Provides: bundled(npm(react-dropzone)) = 14.3.5
Provides: bundled(npm(react-is)) = 16.13.1
Provides: bundled(npm(react)) = 18.3.1
Provides: bundled(npm(scheduler)) = 0.23.2
Provides: bundled(npm(tabbable)) = 6.2.0
Provides: bundled(npm(throttle-debounce)) = 5.0.2
Provides: bundled(npm(tslib)) = 2.8.1

%description
A filesystem browser for Cockpit

%prep
%setup -q -n cockpit-files

%build
# Nothing to build

%install
%make_install PREFIX=/usr

# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

# this can't be meaningfully tested during package build; tests happen through
# FMF (see plans/all.fmf) during package gating

%files
%doc README.md
%license LICENSE dist/index.js.LEGAL.txt dist/index.css.LEGAL.txt
%{_datadir}/cockpit/*
%{_datadir}/metainfo/*

%changelog
* Mon Dec 02 2024 Packit <hello@packit.dev> - 12.18.g67a9299-1.20241202095618308588.pr851.18.g67a9299
- build(deps-dev): bump stylelint-config-standard-scss and stylelint (dependabot[bot])
- stylelint: Update deprecated at-import-partial-extension (Martin Pitt)
- workflows: add dependabot recreate pull request workflow (Jelle van der Waa)
- build(deps-dev): bump @typescript-eslint/eslint-plugin (dependabot[bot])
- test: show / as / (Jelle van der Waa)
- Makefile: Update Cockpit lib to 3c421eb3cb0c16d12a827bb0f5919ba1 (Cockpit Project)
- test: use self.stat helper for checking permissions (Jelle van der Waa)
- test: when closing a modal wait on the modal to be gone (Jelle van der Waa)
- test: Move reference-image to Fedora 41 (Martin Pitt)
- test: test that pressing enter creates a directory (Jelle van der Waa)
- test: pressing escape closes the editor dialog (Jelle van der Waa)
- Makefile: Update Cockpit lib to 7090fab7372ef7e87e508d207e6468ba (Cockpit Project)
- test: Update pixel references for Cockpit 329 (Marius Vollmer)
- po: Update from Fedora Weblate (GitHub Workflow)
- build(deps-dev): bump the types group with 2 updates (dependabot[bot])
- build(deps): bump the patternfly group with 2 updates (dependabot[bot])
- Open directory in terminal (Ashley Cui)
- Makefile: Update Cockpit lib to 035dc2d9be846320bbe4b2be75c32277 (Cockpit Project)
